Models
Start a pending upload
Initiates a new pending upload or retrieves an existing one for the specified model version.
Parâmetros de consulta
api-version
string
exigido
The API version to use for this operation.
Parâmetros do cabeçalho
Foundry-Features
enum
exigido
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parâmetros de caminho
name
string
exigido
Name of the model.
version
string
exigido
Version of the model.
Corpo da solicitação
The pending upload request request body.
pendingUploadId
string
If PendingUploadId is not provided, a random GUID will be used.
connectionName
string
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadType
enum
exigido
The type of pending upload. Only TemporaryBlobReference is supported for models.
Respostas
The request has succeeded.
Corpo
blobReference
BlobReference
exigido
Blob reference details.
blobUri
string
exigido
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
exigido
ARM ID of the storage account to use.
credential
SasCredential
exigido
SAS Credential definition
sasUri
string
exigido
SAS uri
type
enum
exigido
Type of credential
pendingUploadId
string
exigido
ID for this upload request.
version
string
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadType
enum
exigido
The type of pending upload. Only TemporaryBlobReference is supported for models.
Solicitar
POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1
Resposta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json